
package ca.canadapost.cpcdp.tracking.stub;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ca.canadapost.cpcdp.tracking.stub package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ca.canadapost.cpcdp.tracking.stub
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetTrackingSummaryResponse }
     * 
     */
    public GetTrackingSummaryResponse createGetTrackingSummaryResponse() {
        return new GetTrackingSummaryResponse();
    }

    /**
     * Create an instance of {@link GetSignatureImageResponse }
     * 
     */
    public GetSignatureImageResponse createGetSignatureImageResponse() {
        return new GetSignatureImageResponse();
    }

    /**
     * Create an instance of {@link GetDeliveryConfirmationCertificateResponse }
     * 
     */
    public GetDeliveryConfirmationCertificateResponse createGetDeliveryConfirmationCertificateResponse() {
        return new GetDeliveryConfirmationCertificateResponse();
    }

    /**
     * Create an instance of {@link GetTrackingDetailResponse }
     * 
     */
    public GetTrackingDetailResponse createGetTrackingDetailResponse() {
        return new GetTrackingDetailResponse();
    }

    /**
     * Create an instance of {@link SignificantEvents }
     * 
     */
    public SignificantEvents createSignificantEvents() {
        return new SignificantEvents();
    }

    /**
     * Create an instance of {@link DeliveryOptions }
     * 
     */
    public DeliveryOptions createDeliveryOptions() {
        return new DeliveryOptions();
    }

    /**
     * Create an instance of {@link Messages }
     * 
     */
    public Messages createMessages() {
        return new Messages();
    }

    /**
     * Create an instance of {@link GetDeliveryConfirmationCertificateRequest }
     * 
     */
    public GetDeliveryConfirmationCertificateRequest createGetDeliveryConfirmationCertificateRequest() {
        return new GetDeliveryConfirmationCertificateRequest();
    }

    /**
     * Create an instance of {@link GetTrackingSummaryResponse.TrackingSummary }
     * 
     */
    public GetTrackingSummaryResponse.TrackingSummary createGetTrackingSummaryResponseTrackingSummary() {
        return new GetTrackingSummaryResponse.TrackingSummary();
    }

    /**
     * Create an instance of {@link GetSignatureImageResponse.SignatureImage }
     * 
     */
    public GetSignatureImageResponse.SignatureImage createGetSignatureImageResponseSignatureImage() {
        return new GetSignatureImageResponse.SignatureImage();
    }

    /**
     * Create an instance of {@link GetTrackingSummaryRequest }
     * 
     */
    public GetTrackingSummaryRequest createGetTrackingSummaryRequest() {
        return new GetTrackingSummaryRequest();
    }

    /**
     * Create an instance of {@link ReferenceCriteria }
     * 
     */
    public ReferenceCriteria createReferenceCriteria() {
        return new ReferenceCriteria();
    }

    /**
     * Create an instance of {@link GetDeliveryConfirmationCertificateResponse.DeliveryConfirmationCertificate }
     * 
     */
    public GetDeliveryConfirmationCertificateResponse.DeliveryConfirmationCertificate createGetDeliveryConfirmationCertificateResponseDeliveryConfirmationCertificate() {
        return new GetDeliveryConfirmationCertificateResponse.DeliveryConfirmationCertificate();
    }

    /**
     * Create an instance of {@link GetTrackingDetailRequest }
     * 
     */
    public GetTrackingDetailRequest createGetTrackingDetailRequest() {
        return new GetTrackingDetailRequest();
    }

    /**
     * Create an instance of {@link GetSignatureImageRequest }
     * 
     */
    public GetSignatureImageRequest createGetSignatureImageRequest() {
        return new GetSignatureImageRequest();
    }

    /**
     * Create an instance of {@link GetTrackingDetailResponse.TrackingDetail }
     * 
     */
    public GetTrackingDetailResponse.TrackingDetail createGetTrackingDetailResponseTrackingDetail() {
        return new GetTrackingDetailResponse.TrackingDetail();
    }

    /**
     * Create an instance of {@link PinSummary }
     * 
     */
    public PinSummary createPinSummary() {
        return new PinSummary();
    }

    /**
     * Create an instance of {@link CodRemitInfo }
     * 
     */
    public CodRemitInfo createCodRemitInfo() {
        return new CodRemitInfo();
    }

    /**
     * Create an instance of {@link SignificantEvents.Occurrence }
     * 
     */
    public SignificantEvents.Occurrence createSignificantEventsOccurrence() {
        return new SignificantEvents.Occurrence();
    }

    /**
     * Create an instance of {@link DeliveryOptions.Item }
     * 
     */
    public DeliveryOptions.Item createDeliveryOptionsItem() {
        return new DeliveryOptions.Item();
    }

    /**
     * Create an instance of {@link Messages.Message }
     * 
     */
    public Messages.Message createMessagesMessage() {
        return new Messages.Message();
    }

}
